// Copyright 2003 Mark Crosbie  mark@mastincrosbie.com

#import "EditPanelController.h"

@implementation EditPanelController

- (id) initWithValue:(ValueEntry *)v
{
    valueEntered1 = [v value1];
    valueEntered2 = [v value2];
    valueEntered3 = [v value3];
    NSLog(@"EditPanelController initWithValue: value1=%d, value2=%d, value3=%d", valueEntered1, valueEntered2, valueEntered3);
    
    [super initWithWindowNibName: @"EditPanelForm"];
    [self window];
    [self showWindow:self];

    [[entryForm cellAtIndex:0] setIntValue:valueEntered1];
    [[entryForm cellAtIndex:1] setIntValue:valueEntered2];
    [[entryForm cellAtIndex:2] setIntValue:valueEntered3];
    
    return self;
}

- (IBAction)cancelButton:(id)sender
{
    NSLog(@"Cancel button pressed");

    // pass a nil object to make no changes
    [[NSNotificationCenter defaultCenter] postNotificationName:@"PFTTeditPanelClosing" object:nil];
    NSLog(@"Sent notification PFTTeditPanelClosing with object nil");

    [[self document] removeWindowController:self];
    [self close];
    [self autorelease];
}

- (IBAction)okButton:(id)sender
{
    ValueEntry *v;

    NSLog(@"OK button pressed");

    valueEntered1 = [[entryForm cellAtIndex:[entryForm indexOfCellWithTag:1]] intValue];
    valueEntered2 = [[entryForm cellAtIndex:[entryForm indexOfCellWithTag:2]] intValue];
    valueEntered3 = [[entryForm cellAtIndex:[entryForm indexOfCellWithTag:3]] intValue];

    v = [[ValueEntry alloc] initWithValues:valueEntered1:valueEntered2:valueEntered3];

    [[NSNotificationCenter defaultCenter] postNotificationName:@"PFTTeditPanelClosing" object:v];
    NSLog(@"Sent notification PFTTeditPanelClosing with object %@", v);

    [[self document] removeWindowController:self];
    [self close];
    [self autorelease];

}

- (void) windowWillClose:(NSNotification *)notification
{
    NSLog(@"windowWillClose...");
    [[NSNotificationCenter defaultCenter] postNotificationName:@"PFTTeditPanelClosing" object:nil];
    NSLog(@"Sent notification PFTTeditPanelClosing with object nil");

}

@end
