// Copyright 2003 Mark Crosbie  mark@mastincrosbie.com

#import "EntryPanelController.h"
#import "MyWindowController.h"
#import "ValueEntry.h"

@implementation EntryPanelController

- (id) init
{
    NSLog(@"EntryPanelController init");
    
    [super initWithWindowNibName: @"EntryPanelForm"];
    [self window];
    [self showWindow:self];

    return self;
}

- (IBAction)cancelButton:(id)sender
{
    NSLog(@"Cancel button pressed");

    // pass a nil object to make no changes
    [[NSNotificationCenter defaultCenter] postNotificationName:@"PFTTentryPanelClosing" object:nil];
    NSLog(@"Sent notification PFTTentryPanelClosing with object nil");

    [[self document] removeWindowController:self];
    [self close];
    [self autorelease];
}

- (IBAction)okButton:(id)sender
{
    ValueEntry *v;
    
    NSLog(@"OK button pressed");

    valueEntered1 = [[entryForm cellAtIndex:[entryForm indexOfCellWithTag:1]] intValue];
    valueEntered2 = [[entryForm cellAtIndex:[entryForm indexOfCellWithTag:2]] intValue];
    valueEntered3 = [[entryForm cellAtIndex:[entryForm indexOfCellWithTag:3]] intValue];

    v = [[ValueEntry alloc] initWithValues:valueEntered1:valueEntered2:valueEntered3];

    // [(MyWindowController*) _sender addValue:v];
    
    [[NSNotificationCenter defaultCenter] postNotificationName:@"PFTTentryPanelClosing" object:v];
    NSLog(@"Sent notification PFTTentryPanelClosing with object %@", v);
    
    [[self document] removeWindowController:self];
    [self close];
    [self autorelease];
    
}

- (void) windowWillClose:(NSNotification *)notification
{
    NSLog(@"windowWillClose...");
    [[NSNotificationCenter defaultCenter] postNotificationName:@"PFTTentryPanelClosing" object:nil];
    NSLog(@"Sent notification PFTTentryPanelClosing with object nil");

}

@end
