// Copyright 2003 Mark Crosbie  mark@mastincrosbie.com

/* MyWindowController */

#import <Cocoa/Cocoa.h>
#import "EntryPanelController.h"
#import "EditPanelController.h"
#import "ValueEntry.h"

@interface MyWindowController  : NSWindowController
{

    IBOutlet NSTableView *tableView;
    IBOutlet NSButton *editButton;
    IBOutlet NSButton *deleteButton;
    
    EntryPanelController *epc;
    EditPanelController *editpc;

    int valueBeingEdited;
    
    NSMutableArray *values;
}

- (IBAction)enterButton:(id)sender;
- (IBAction)editButton:(id)sender;
- (IBAction)deleteButton:(id)sender;

- (id) init;
- (void) entryPanelClosed:(NSNotification *)notification;
- (void) editPanelClosed:(NSNotification *)notification;

    // Data source methods
- (int)numberOfRowsInTableView:(NSTableView *)aTableView;
- (id)tableView:(NSTableView *)aTableView
objectValueForTableColumn:(NSTableColumn *)aTableColumn
            row:(int)rowIndex;

// private methods

- (void) updateUI;
- (void) addValue:(ValueEntry *)v;
- (void) deleteValue:(int)index;

@end
